Theme compatibility question 1.6 -> 1.x

Topics: Writing themes
Jun 19, 2013 at 11:15 PM
Quick question regarding a theme that I'm trying to make compatible with both 1.6 and 1.x.

I'm currently overriding the CommentAuthor and CommentMetadata shapes in my theme. Version 1.6 of Orchard uses comment.Record.Author to access the data, but Version 1.x only uses comment.Author to access the same information. Using comment.Author doesn't work on 1.6. Using comment.Record.Author appears to work in both 1.6 and 1.x. Am I okay moving forward using comment.Record.Author with 1.x? I just want to make sure it's not going to be retrieving inaccurate data. If not, I'll have to publish 2 versions of the theme to the gallery.

Thanks so much!
Jun 19, 2013 at 11:34 PM
This should be ok
Jun 19, 2013 at 11:34 PM
But there might be other changes affecting themes compatibility.
Jun 20, 2013 at 12:39 AM
Thanks Sebastien...

I figured there might be other changes so I'm saving both versions in case I need to create 2 packages...although I may just go with a 1.7 version since it seems like you guys are getting pretty darn close to finishing it up.

BTW...the new threaded Comments feature is pretty darn cool. Threw me for a loop for a second when I was styling my theme, but I figured it out.